# The ArQive Relay Node

A simple server program built with Express that acts as middleware between clients and The ArQive backend.

## :wrench: To run the server as a developer:

0. Make sure Node/NPM are installed
1. `npm install` - Installs any dependencies needed
2. `npm run dev` - Starts server locally on port 8081

Highly reccomend you use [Postman](https://www.postman.com/) and the provided collection to test/document the endpoints.


## :necktie: To run the server in production:
1. `cd` into the directory where the repository is cloned into e.g. `~/arQive-relay-node`
2. ```sudo docker image build -t arnode:1.0 . ``` (note: you can change the version, but its not necessary)
3. ```sudo docker container run --publish 8001:8081 --detach --name arnode arnode:1.0``` (note: same version as step 2)
4. Check to see if code has been successfully deployed by navigating to ```http://<server-ip>:8001```

### :bookmark: Notes:

* You have to delete the container to redeploy
 * ```sudo docker container rm --force arnode```
 * Deleting the container does not delete the code, it will however delete any data that the application made while running and you will have to remake the container.
* To see any logs the server might have made
 * ```sudo docker logs arnode```
* The account deploying the application must be on the sudoers file
 * Debian (and derivatives): `usermod -aG sudo <username>`
* The port you expose does not really matter, just make sure the localhost port is the same used within the application
* This guide does **not** walk you through installing/configuring Docker
* Any relevant changes should be made to the Dockerfile when appropriate

## :warning: Make sure you have the .env file:
```
ARQIVE_API_KEY=
ARQIVE_API_URL=
```

## :exclamation: Known Issues:
* Logging into an account locks up the server!
