//Imports
const express = require('express');
const dotenv = require('dotenv');
const morgan = require('morgan');

// init express
const app = express();
const port = 8081;

// Loading .env file
dotenv.config();
// to access .env properties do
// process.env.<property>

// HTTP Request Logger in the terminal
app.use(morgan('tiny'));


// sample of how to handle 'get' requests
app.get('/', (req, res) => {
  res.send('Hello World');
});

// Lets Express use JSON bodies
app.use(express.json());
app.use(express.urlencoded({ extended: false }));

// Route Imports
const auth = require('./routes/auth');
const pins = require('./routes/pins');
const profile = require('./routes/profile');

// Routes Config
app.use('/api/auth', auth);
app.use('/api/pins', pins);
app.use('/api/profile', profile);

app.listen(port, () => {
  console.log(`Application is listening at http://localhost:${port}`);
});
