const express = require('express');
const router = express.Router();
const axios = require('axios');
const config = require('../config.js');

router.get('/users', (req, res) => {
  axios.get(`${process.env.ARQIVE_API_URL}/auth/users/`, config)
  .then((axe) => {
    res.send(axe.data);
  }).catch((err) => {
    res.status(500).send(err);
  });
});

router.post('/login', (req, res) => {
  const user = {
    username: req.body.username,
    password: req.body.password
  };
  axios.post(`${process.env.ARQIVE_API_URL}/auth/login`, user, config)
    .then((axe) => {
      res.send(axe.data);
    })
    .catch((err) => {
      res.status(500).send(err);
    });
});

router.post('/logout', (req, res) => {
  var temp = config;
  temp.headers['Authorization'] = `Token ${req.headers.authorization}`;
  console.log(req.headers);
  axios.post(`${process.env.ARQIVE_API_URL}/auth/logout`, null, temp)
  .then((axe) => {
    res.send(axe.data);
  }).catch((err) => {
    res.status(500).send(err);
  })
})

module.exports = router;
